Package net.shibboleth.saml.profile.config

# Interface SAMLAssertionConsumingProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLProfileConfiguration`

All Known Subinterfaces:
  `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`

public interface SAMLAssertionConsumingProfileConfiguration extends SAML2ProfileConfiguration
Interface for configuration of SAML profiles that consume assertions.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getAssertionAudiences(ProfileRequestContext profileRequestContext)`
Get set of audiences to include when validating assertion, in addition to our own entityID.
`Duration`
`getAssertionLifetime(ProfileRequestContext profileRequestContext)`
Get the maximum lifetime of the assertions.
`boolean`
`isRequireSignedAssertions(ProfileRequestContext profileRequestContext)`
Get the predicate used to determine if assertions must be signed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### isRequireSignedAssertions

@ConfigurationSetting(name="requireSignedAssertions") boolean isRequireSignedAssertions(@Nullable ProfileRequestContext profileRequestContext)
Get the predicate used to determine if assertions must be signed.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  predicate used to determine if assertions must be signed

### getAssertionLifetime

@ConfigurationSetting(name="assertionLifetime") @Nullable @NonNegative Duration getAssertionLifetime(@Nullable ProfileRequestContext profileRequestContext)
Get the maximum lifetime of the assertions.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  maximum lifetime of the assertions

### getAssertionAudiences

@Nonnull @NotLive @Unmodifiable @ConfigurationSetting(name="assertionAudiences") Set<String> getAssertionAudiences(@Nullable ProfileRequestContext profileRequestContext)
Get set of audiences to include when validating assertion, in addition to our own entityID.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  additional audiences